Package org.eclipse.net4j.db.ddl.delta

# Enum Class IDBDelta.ChangeKind

java.lang.Object
java.lang.Enum<IDBDelta.ChangeKind>
org.eclipse.net4j.db.ddl.delta.IDBDelta.ChangeKind

All Implemented Interfaces:
  `Serializable`, `Comparable<IDBDelta.ChangeKind>`, `Constable`

Enclosing interface:
  IDBDelta

public static enum IDBDelta.ChangeKind extends Enum<IDBDelta.ChangeKind>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
`CHANGE`
`REMOVE`

## Method Summary

Modifier and Type
Method
Description
`static IDBDelta.ChangeKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IDBDelta.ChangeKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ADD

public static final IDBDelta.ChangeKind ADD

### REMOVE

public static final IDBDelta.ChangeKind REMOVE

### CHANGE

public static final IDBDelta.ChangeKind CHANGE

## Method Details

### values

public static IDBDelta.ChangeKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IDBDelta.ChangeKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null